Bug 97229 - RedHat Installer doesn't warn that an old version can't safely be upgraded.
RedHat Installer doesn't warn that an old version can't safely be upgraded.
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-11 13:43 EDT by Joe Zeff
Modified: 2007-04-18 12:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-14 12:42:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Zeff 2003-06-11 13:43:49 EDT
Description of problem:
Trying to upgrade any version of RedHat below 6.2 will fail, trashing your system, but the installer doesn't warn you.

Version-Release number of selected component (if applicable):
RedHat 6, and installer to upgrade to 9.

How reproducible:
Very

Steps to Reproduce:
1.Install RedHat 6
2.Try to upgrade to 9 in one step.
3.
    
Actual results:
The partition containing /usr had its superblock corrupted to the point that I doubt I'll ever recover t.

Expected results:
Either a successful upgrade or, at worst, refusal of the installer to try.

Additional info:
Now, the rescue function on your install CD crashes while trying to load, because it can't read the partition.  It doesn't even get to the point of asking if I want the 
filesystems scanned or mounted
Comment 1 Jeremy Katz 2003-06-12 14:20:46 EDT
What version of the redhat-release package did you have installed?
Comment 2 Joe Zeff 2003-06-13 15:40:10 EDT
The origanal report states quite clearly that I had RedHat 6.0 installed. What 
is unclear about this?
Comment 3 Jeremy Katz 2003-06-13 15:48:27 EDT
With the version of the redhat-release package shipped there installed?
Comment 4 Michael Fulbright 2003-07-14 12:42:59 EDT
Closing due to inactivity. Please reopen if you have additional information to
add to this report.

Note You need to log in before you can comment on or make changes to this bug.